Class | Chef::Util::Windows::NetUse
In: | lib/chef/util/windows/net_use.rb
Parent: | Chef::Util::Windows

### Methods

add delete device get_info new

### Constants

USE_NOFORCE | = | 0
USE_FORCE | = | 1
USE_LOTS_OF_FORCE | = | 2
USE_INFO_2 | = | [ [:local, nil], [:remote, nil], [:password, nil], [:status, 0], [:asg_type, 0], [:refcount, 0], [:usecount, 0], [:username, nil], [:domainname, nil]
USE_INFO_2_TEMPLATE | = | USE_INFO_2.collect { |field| field[1].class == Fixnum ? 'i' : 'L' }.join
SIZEOF_USE_INFO_2 | = | #sizeof(USE_INFO_2) USE_INFO_2.inject(0){|sum,item| sum + (item[1].class == Fixnum ? 4 : PTR_SIZE)

### Public Class methods

new(localname)

### Public Instance methods

add(args)
delete()

XXX should we use some FORCE here?

device()
get_info()

[Validate]